Subject: bug#42366: UTF8 QR codes vs. emacs

From: Robert Pluim <[email-masked]>
Date: Wed, 05 Aug 2020 17:33:10 +0200

>>>>> On Wed, 05 Aug 2020 18:03:22 +0300, Eli Zaretskii <[email-masked]> said:
    >> Yes.  Except for the horizontal lines in the X version of Emacs.

    Eli> Can you try other fonts, and see if some of them eliminate the
    Eli> problem?  I think this is simply a matter of the shell window and the
    Eli> terminal emulator using different fonts.

Iʼm not sure about that. On macOS, this is

emacs -Q -font Consolas

And this is the same build, but in a terminal window using Consolas

In the gui version, the cursor looks like it extends 1 pixel below
each component character, whilst in the '-nw' on the bottom of the
cursor lines up exactly.

If I use something else like Menlo, there are horizontal white lines,
but the cursor lines up with the bottom of the characters.

Robert